<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Pikture Pro
	 * @since Pikture Pro 1.0.0
	 */

	/**
	 * pikture_pro_doctype hook
	 *
	 * @hooked pikture_pro_doctype -  10
	 *
	 */
	do_action( 'pikture_pro_doctype' );

?>
<head>
<?php
	/**
	 * pikture_pro_before_wp_head hook
	 *
	 * @hooked pikture_pro_head -  10
	 *
	 */
	do_action( 'pikture_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>
<?php
	/**
	 * pikture_pro_page_start_action hook
	 *
	 * @hooked pikture_pro_page_start -  10
	 *
	 */
	do_action( 'pikture_pro_page_start_action' ); 

	/**
	 * pikture_pro_loader_action hook
	 *
	 * @hooked pikture_pro_loader -  10
	 * @hooked pikture_pro_add_breadcrumb -  20
	 *
	 */
	do_action( 'pikture_pro_before_header' );

	/**
	 * pikture_pro_header_action hook
	 *
	 * @hooked pikture_pro_header_start -  10
	 * @hooked pikture_pro_site_branding -  20
	 * @hooked pikture_pro_site_navigation -  30
	 * @hooked pikture_pro_header_end -  50
	 *
	 */
	do_action( 'pikture_pro_header_action' );

	/**
	 * pikture_pro_breadcrumb hook
	 *
	 * @hooked pikture_pro_add_breadcrumb -  10
	 *
	 */
	do_action( 'pikture_pro_breadcrumb' );

	/**
	 * pikture_pro_site_content hook
	 *
	 * @hooked pikture_pro_content_start -  10
	 *
	 */
	do_action( 'pikture_pro_site_content' );

	/**
	 * pikture_pro_content_start_action hook
	 *
	 * @hooked pikture_pro_content_start -  10
	 *
	 */
	
    $options = pikture_pro_get_theme_options();
    if ( empty( $options['sortable'] ) ) {
		do_action( 'pikture_pro_content_start_action' );
    }

	/**
	* pikture_pro_primary_content hook
	*
	* @hooked pikture_pro_add_*_section - *
	* @hooked pikture_pro_home_page_sections - 20
	*
	*/

	$sections = pikture_pro_sortable_sections();
	foreach ( $sections as $section => $value ) {
		add_action( 'pikture_pro_primary_content', 'pikture_pro_add_'. $section .'_section', pikture_pro_sort_frontpage( $section ) );
	}

	do_action( 'pikture_pro_primary_content' );
