<?php
/**
 * Customizer default options
 *
 * @package Theme Palace
 * @subpackage Pikture Pro
 * @since Pikture Pro 1.0.0
 * @return array An array of default values
 */

function pikture_pro_get_default_theme_options() {
	$theme_data = wp_get_theme();
	$pikture_pro_default_options = array(
		/**
		 * Front page options
		 */
		// Frontpage sortable
		'sortable'						=> 'Featured,Counter and About,Panorama,Call To Action,Portrait,Client,Landscape,Testimonial',
		'download_icon'                   => 'true',
		
		
		// Hero Content Options
		'enable_hero_content'                   => 'entire-site',
		'hero_content_text'                     => sprintf( esc_html__( '... because every picture tells a %1$sstory,%2$s too much %1$sperfection%2$s is mistake...', 'pikture-pro' ), '<i>', '</i>' ),
		
		// Featured content options
		'enable_featured_section'               => true,
		'featured_content_type'                 => 'demo',
		'featured_custom_title'					=> esc_html__( 'Red Cave For Traveller Around The World are here.', 'pikture-pro' ),
		'featured_custom_image'					=> get_template_directory_uri() . '/assets/uploads/featured-section-01.jpg',
		'featured_custom_link'					=> '#',
		
		// Counter options
		'enable_counter_section'                => true,
		'counter_count'                         => 100,
		'counter_icon'                          => 'gallery',
		'counter_text'                          => esc_html__( 'Photo Downloads', 'pikture-pro' ),
		
		// About options
		'enable_about_section'                  => true,
		'about_content_type'                    => 'demo',
		'about_custom_title'                    => esc_html__( 'Helen Tran', 'pikture-pro' ),
		'about_custom_sub_title'                => esc_html__( 'About Me', 'pikture-pro' ),
		'about_custom_content'                  => sprintf( esc_html__( '%1$sPraesent sit amet porta nunc. Aenean nulla ipsum, tempus porta blandit eu, sagittis vel ex. Morbi imperdiet nibh id ipsum finibus convallis. Nulla feugiat vestibulum lacus ut iaculis. Pellentesque consequat nulla vitae ante porttitor elementum.%2$s
		%1$sIn porta diam vel leo ornare maximus. Sed aliquam nunc ut lobortis consequat. Donec posuere, lectus in tristique lacinia, purus enim feugiat urna, sit amet iaculis lectus purus vitae mi. Mauris in dictum erat fusce malesuada lacinia ante.%2$s', 'pikture-pro' ), '<p>', '</p>' ),
		'about_custom_btn_text'                 => esc_html__( 'View Details', 'pikture-pro' ),
		'about_custom_btn_link'                 => '#',
		
		// Panorama options
		'enable_panorama_section'               => true,
		'panorama_content_type'                 => 'demo',
		'panorama_num_of_img'                   => 5,
		'panorama_title'                        => esc_html__( 'Panorama', 'pikture-pro' ),
		'panorama_sub_title'                    => esc_html__( 'Horizontal &amp; Vertical', 'pikture-pro' ),
		'panorama_btn_text'                     => esc_html__( 'View More', 'pikture-pro' ),
		'panorama_custom_btn_link'              => '#',
		
		// Call to action options
		'enable_call_to_action_section'         => true,
		'call_to_action_content_type'           => 'demo',
		'call_to_action_custom_title'           => esc_html__( 'Photography is an Art!!', 'pikture-pro' ),
		'call_to_action_custom_title'           => esc_html__( 'Photography is an Art!!', 'pikture-pro' ),
		'call_to_action_custom_content'         => esc_html__( 'Proin porta aliquet magna vel gravida. Proin nec fermentum quam. Sed ornare leo et eleifend vulputate. Duis bibendum viverra quam nec sagittis.', 'pikture-pro' ),
		'call_to_action_custom_btn_text'        => esc_html__( 'Hire Me', 'pikture-pro' ),
		'call_to_action_custom_btn_link'        => '#',
		
		// Portrait options
		'enable_portrait_section'               => true,
		'portrait_content_type'                 => 'demo',
		'portrait_num_of_img'                   => 4,
		'portrait_title'                        => esc_html__( 'Portrait', 'pikture-pro' ),
		'portrait_sub_title'                    => esc_html__( 'Face photography', 'pikture-pro' ),
		'portrait_btn_text'                     => esc_html__( 'View More', 'pikture-pro' ),
		'portrait_custom_btn_link'              => '#',
		
		// Client options
		'enable_client_section'                 => true,
		'client_title'                          => esc_html__( 'Clients', 'pikture-pro' ),
		'client_sub_title'                      => esc_html__( 'Valuable', 'pikture-pro' ),
		'client_num'                            => 5,
		'client_pager_enable'                   => true,
		'client_arrows_enable'                  => true,
		'client_autoplay_enable'                => true,
		'client_infinite_enable'                => true,
		'client_num_to_show'                    => 5,
		'client_content_type'                   => 'demo',
		'client_num'                            => 6,
		'client_bg'                             => get_template_directory_uri() . '/assets/uploads/client.jpg',
		'client_custom_image'                             => get_template_directory_uri() . '/assets/uploads/client-04.jpg',
		'client_custom_link'                            => '#',
		'client_custom_link'                            => '#',
		
		// Landscape options
		'enable_landscape_section'              => true,
		'landscape_content_type'                => 'demo',
		'landscape_num_of_img'                  => 6,
		'landscape_title'                       => esc_html__( 'Landscape', 'pikture-pro' ),
		'landscape_sub_title'                   => esc_html__( 'Horizontal &amp; Vertical', 'pikture-pro' ),
		'landscape_btn_text'                    => esc_html__( 'View More', 'pikture-pro' ),
		'landscape_custom_btn_link'             => '#',
		
		// Testimonial options
		'enable_testimonial_section'            => true,
		'testimonial_title'                     => esc_html__( 'Testimonial', 'pikture-pro' ),
		'testimonial_sub_title'                 => esc_html__( 'What other says', 'pikture-pro' ),
		'testimonial_content'                   => esc_html__( 'Praesent sit amet porta nunc. Aenean nulla ipsum, tempus porta blandit eu, sagittis vel ex. Morbi imperdiet nibh id ipsum finibus convallis. Nulla feugiat vestibulum lacus ut iaculis.', 'pikture-pro' ),
		'testimonial_content_type'              => 'demo',
		'testimonial_num'                       => 5,
		'enable_testimonial_left_part'          => true,
		'testimonial_custom_content'                   => esc_html__( 'Amazing photography, great person to work with. Would like to work more in future. Lorem ipsum dolor sit amet tempor neque.', 'pikture-pro' ),
		'testimonial_custom_name'                   => esc_html__( 'Meagan Fisher', 'pikture-pro' ),
		'testimonial_custom_position'                   => esc_html__( 'UI/UX Designer', 'pikture-pro' ),
		
		/**
		* About us template options
		*/
		// Slider options
		'enable_about_temp_slider'              => true,
		'about_temp_slider_content_type'        => 'demo',
		'about_temp_slider_num'                 => 5,
		'about_temp_slider_custom_work'         => esc_html__( 'Photographer', 'pikture-pro' ),
		'about_temp_slider_custom_title'         => esc_html__( 'Helen Tran', 'pikture-pro' ),
		'about_temp_slider_custom_content'         => esc_html__( 'Praesent sit amet porta nunc. Aenean nulla ipsum, tempus porta blandit eu, sagittis vel ex. Morbi imperdiet nibh id ipsum finibus convallis. Nulla feugiat vestibulum lacus ut iaculis. Pellentesque consequat nulla vitae ante porttitor elementum.', 'pikture-pro' ),
		'about_temp_slider_custom_image'         => get_template_directory_uri() . '/assets/uploads/slider-01.jpg',
		
		// Counter options
		'enable_about_temp_counter'             => true,
		'about_temp_counter_count'              => 150,
		'about_temp_counter_num'                => 4,
		'about_temp_counter_text'                => esc_html__( 'Photographs', 'pikture-pro' ),
		'about_temp_img' => get_template_directory_uri() . '/assets/uploads/counter-bg.jpg',
		
		// Portfolio options
		'enable_about_temp_portfolio_section'   => true,
		'about_temp_portfolio_content_type'     => 'demo',
		'about_temp_portfolio_custom_title'     => esc_html__( 'Photographer', 'pikture-pro' ),
		'about_temp_portfolio_custom_sub_title' => esc_html__( 'POPULAR', 'pikture-pro' ),
		'about_temp_portfolio_custom_content'   => sprintf( esc_html__( '%1$sPraesenst sit amet porta nunc. Aenean nulla ipsum, tempus porta blandit eu, sagittis vel ex. Morbi imperdiet nibh id ipsum finibus convallis. Nulla feugiat vestibulum lacus ut iaculis. Pellentesque consequat nulla vitae ante porttitor elementum. Aenean ac ex vitae nisl condimentum sodales ac ut velit. Nunc vestibulum justo diam, ac elementum neque egestas eget. Aliquam porta ligula non iaculis pellentesque. Sed iaculis tellus egestas metus ornare, ut tempor erat imperdiet.%2$s %3$sAmazings photography, great person to work with. Would like to work more in future. Lorem ipsum dolor sit amet tempor neque, Sed iaculis tellus egestas metus ornare, ut tempor erat imperdiet  aliquam porta ligula non iaculis pellentesque.%4$s
		', 'pikture-pro' ), '<p>', '</p>', '<blockquote>', '</blockquote>' ),
		'about_temp_portfolio_custom_name'      => esc_html__( 'Meagan Fisher', 'pikture-pro' ),
		'about_temp_portfolio_custom_position'  => esc_html__( 'UI/UX Designer', 'pikture-pro' ),
		
		// Contact options
		'enable_about_temp_contact'             => true,
		'about_temp_contact_title'              => esc_html__( 'Get in Touch', 'pikture-pro' ),
		'about_temp_contact_sub_title'          => esc_html__( 'Hire me', 'pikture-pro' ),
		'about_temp_contact_content'            => sprintf( esc_html__( '%1$sQuisque ac leo nec nibh egestas luctus. Sed vitae accumsan dui. Etiam convallis porttitor scelerisque. Suspendisse non luctus lectus, nec luctus elit. Vestibulum ut tellus quis est dignissim bibendum erat sodales donec et faucibus libero.%2$s
		', 'pikture-pro' ), '<p>', '</p>' ),
		
		/**
		* Theme options
		*/
		// Color Options
		'header_title_color'                    => '#000',
		'header_tagline_color'                  => '#000',
		'header_txt_logo_extra'                 => 'show-all',
		'colorscheme_hue'                       => '#fff',
		'colorscheme'                           => 'light',
		'accent_color'                          => '#37b4aa',
		
		// Typography Options
		'theme_typography'                      => 'default',
		
		// Menu
		'menu_show_search'                      => 'modern',
		'menu_show_search'                      => true,
		'menu_context'                          => 'bars',
		'menu_type'                          => 'modern',
		
		// loader
		'loader_enable'                         => false,
		'loader_icon'                           => 'spinner-circle',
		
		// layout 
		'site_layout'                           => 'wide',
		'sidebar_position'                      => 'right-sidebar',
		'post_sidebar_position'                 => 'right-sidebar',
		'page_sidebar_position'                 => 'right-sidebar',
		'woo_sidebar_position'                 => 'right-sidebar',
		'menu_sticky'                           => true,
		'latest_post_sidebar_position'			=> 'no-sidebar',
		
		// excerpt options
		'long_excerpt_length'                   => 25,
		'read_more_text'                        => esc_html__( 'Read More', 'pikture-pro' ),
		
		// breadcrumb options
		'breadcrumb_enable'                     => false,
		'breadcrumb_separator'                  => '/',
		
		// pagination options
		'pagination_enable'                     => true,
		'pagination_type'                       => 'default',
		
		// footer options
		'copyright_text'                        => sprintf( esc_html_x( 'Copyright &copy; %1$s', '1: Year', 'pikture-pro' ), date_i18n( __( 'Y', 'pikture-pro' ) ) ) . ' &#124; ' . esc_html( $theme_data->get( 'Name') ) . '&nbsp;' . __( 'by', 'pikture-pro' ). '&nbsp;<a target="_blank" href="'. esc_url( $theme_data->get( 'AuthorURI' ) ) .'">'. esc_html( ucwords( $theme_data->get( 'Author' ) ) ) .'</a>',
		'scroll_top_visible'                    => true,
		
		// reset options
		'reset_options'                         => false,
		
		// homepage options
		'enable_frontpage_content'              => false,
		
		// blog/archive options
		'your_latest_posts_title'               => esc_html__( 'Blogs', 'pikture-pro' ),
		'your_latest_posts_sub_title'           => esc_html__( 'About Me', 'pikture-pro' ),
		'archive_content_type'                  => 'excerpt',
		'hide_image'                            => false,
		'hide_date'                             => false,
		'hide_author'                           => false,
		'hide_category'                         => false,
		'hide_tags'                             => false,
		'hide_comments'                         => false,
		
		// single post theme options
		'single_post_image'                     => 'full',
		'single_post_hide_date'                 => false,
		'single_post_hide_author'               => false,
		'single_post_hide_category'             => false,
		'single_post_hide_tags'                 => false,
		'single_post_hide_comments'             => false,

	);

	$output = apply_filters( 'pikture_pro_default_theme_options', $pikture_pro_default_options );

	// Sort array in ascending order, according to the key:
	if ( ! empty( $output ) ) {
		ksort( $output );
	}

	return $output;
}