<?php
/**
 * Load all the front page sections' options.
 *
 * @package Theme Palace
 * @subpackage Pikture Pro
 * @since Pikture Pro 1.0.0
 */

/**
 * Frontpage sortable options
 *
 */

// Add frontpage sorting section.
$wp_customize->add_section( 'pikture_pro_sortable', array(
	'title'               => esc_html__('Manage Sections','pikture-pro'),
	'description'         => esc_html__( 'Drag and drop the frontpage sections to reorder them.', 'pikture-pro' ),
	'panel'               => 'pikture_pro_front_page_panel',
) );

// Sections disable download button setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[download_icon]', array(
	'default'			  => $options['download_icon'],
	'sanitize_callback'   => 'pikture_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Pikture_Pro_Switch_Control ( $wp_customize, 'pikture_pro_theme_options[download_icon]', array(
	'label'        => esc_html__( 'Download Icon:', 'pikture-pro' ),
	'description'  => esc_html__( 'Show or hide the download icon on frongpage sections.', 'pikture-pro' ),
	'section'      => 'pikture_pro_sortable',
	'on_off_label' => pikture_pro_switch_options(),
) ) );

// Frontpage sorting settings and controls.
$wp_customize->add_setting( 'pikture_pro_theme_options[sortable]', array(
	'default'			  => $options['sortable'],
	'sanitize_callback'   => 'pikture_pro_sanitize_sortable',
) );

$wp_customize->add_control( new Pikture_Pro_Customize_Sortable_Control ( $wp_customize, 'pikture_pro_theme_options[sortable]', array(
	'label'               => esc_html__( 'Sort frontpage sections', 'pikture-pro' ),
	'section'             => 'pikture_pro_sortable',
	'type'                => 'sortable',
	'choices'			  => pikture_pro_sortable_sections(),
) ) );

// Include hero content.
require get_template_directory() . '/inc/customizer/sections/hero-content.php';

// Include featured section.
require get_template_directory() . '/inc/customizer/sections/featured.php';

// Include counter section.
require get_template_directory() . '/inc/customizer/sections/counter.php';

// Include about section.
require get_template_directory() . '/inc/customizer/sections/about.php';

// Include panorama section.
require get_template_directory() . '/inc/customizer/sections/panorama.php';

// Include call to action section.
require get_template_directory() . '/inc/customizer/sections/call-to-action.php';

// Include portrait section.
require get_template_directory() . '/inc/customizer/sections/portrait.php';

// Include client section.
require get_template_directory() . '/inc/customizer/sections/clients.php';

// Include landscape section.
require get_template_directory() . '/inc/customizer/sections/landscape.php';

// Include testimonial section.
require get_template_directory() . '/inc/customizer/sections/testimonial.php';

/**
 * About us template sections.
 */
// Include about us template slider sections.
require get_template_directory() . '/inc/customizer/sections/template-about-us/slider.php';

// Include about us template counter sections.
require get_template_directory() . '/inc/customizer/sections/template-about-us/counter.php';

// Include about us template portfolio sections.
require get_template_directory() . '/inc/customizer/sections/template-about-us/portfolio.php';


// Include about us template contact sections.
require get_template_directory() . '/inc/customizer/sections/template-about-us/contact.php';