<?php
/**
 * Typography options
 *
 * @package Theme Palace
 * @subpackage Pikture Pro
 * @since Pikture Pro 1.0.0
 */

// Typography Section
$wp_customize->add_section( 'pikture_pro_section_typography',
	array(
		'title'      		=> esc_html__( 'Typography', 'pikture-pro' ),
		'priority'   		=> 600,
		'panel'      		=> 'pikture_pro_theme_options_panel',
	)
);

$wp_customize->add_setting( 'pikture_pro_theme_options[theme_typography]',
	array(
		'default'    		=> $options['theme_typography'],
		'sanitize_callback'	=> 'pikture_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'pikture_pro_theme_options[theme_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Typography', 'pikture-pro' ),
		'section'     		=> 'pikture_pro_section_typography',
		'settings'    		=> 'pikture_pro_theme_options[theme_typography]',
		'type'		  		=> 'select',
		'choices'			=> pikture_pro_typography_options(),
    )
);
